<template>
  <div class="center row">
    <div class="col-md-4"></div>
    <div class="col-md-4">
      <div class="w-75 my-5 rg shadow p-3">
        <h1>Register</h1>
        <div class="my-2 t-left">
          <label for="name">Fullname</label>
          <b-input v-model="name" />
        </div>
        <div class="my-2 t-left">
          <label for="email">Email</label>
          <b-input v-model="email" />
        </div>
        <div class="my-2 t-left">
          <label for="Phone">Phone</label>
          <b-input v-model="phone" />
        </div>
        <div class="my-2 t-left">
          <label for="password">Password</label>
          <b-input v-model="password" />
        </div>
        <div class="my-2 t-left">
          <label for="confirm">Confirm password</label>
          <b-input />
        </div>
        <b-button class="w-100 btn-info text-light" @click="register"
          >Register</b-button
        >

        <!-- <b-link to="#">Link</b-link> -->
      </div>
    </div>
    <div class="col-md-4"></div>
  </div>
</template>

<script>
export default {
  name: "Register",
  data() {
    return {
      name: "",
      email: "",
      password: "",
      phone: "",
    };
  },
  methods: {
    async register() {
      console.log({
        phone: this.phone,
        name: this.name,
        email: this.email,
        password: this.password,
      });
      const token = await this.$store.dispatch("register", {
        phone: this.phone,
        name: this.name,
        email: this.email,
        password: this.password,
      });
      console.log(token);
      this.$store.commit("addToken", token);
      if (token) {
        this.$router.push("/");
      }
    },
  },
};
</script>

<style scoped>
.center {
  text-align: center;
}

.t-left {
  text-align: left;
}

.center .rg {
  line-height: 1.5;
  display: inline-block;
  vertical-align: middle !important;
}
</style>
